Package waffle.jaas

# Class UsernamePasswordCallbackHandler

java.lang.Object
waffle.jaas.UsernamePasswordCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class UsernamePasswordCallbackHandler extends Object implements CallbackHandler
The Class UsernamePasswordCallbackHandler.

## Constructor Summary

Constructors
Constructor
Description
`UsernamePasswordCallbackHandler(String newUserName, String newPassword)`
Instantiates a new username password callback handler.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] cb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsernamePasswordCallbackHandler

public UsernamePasswordCallbackHandler(String newUserName, String newPassword)
Instantiates a new username password callback handler.

Parameters:
  `newUserName` - the new user name
  `newPassword` - the new password

## Method Details

### handle

public void handle(Callback[] cb) throws IOException, UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`